%define php5_extension	thrift_protocol

Name: thrift
Version: 0.0.0
Release: alt2.20081031git

Summary: Software framework for scalable cross-language services
License: Thrift Software License
Group: Development/Other

Url: http://incubator.apache.org/thrift/

Source: %name-%version.tar
Source1: php-%php5_extension.ini
Source2: php-%php5_extension-params.sh

BuildRequires: libstdc++-devel python-base python-modules
BuildRequires: boost-devel flex gcc-c++ python-devel zlib-devel

BuildRequires(pre): rpm-build-php5
BuildRequires: php5-devel = %php5_version-%php5_release
#BuildRequires: re2c

%description
Thrift is a software framework for scalable cross-language services
development. It combines a software stack with a code generation
engine to build services that work efficiently and seamlessly between
C++, Java, Python, PHP, Ruby, Erlang, Perl, Haskell, C#, Cocoa,
Smalltalk, and OCaml.

%package -n libthrift-cpp
Summary: hrift C++ library
Group: Development/C++

%description -n libthrift-cpp
C++ libraries for Thrift.


%package -n libthrift-cpp-devel
Summary: Thrift C++ library development files
Group: Development/C++
Requires: libthrift-cpp = %version-%release
Requires: boost-devel libevent-devel zlib-devel

%description -n libthrift-cpp-devel
C++ static libraries and headers for Thrift.


%package -n python-modules-thrift
Summary: Thrift Python library
Group: Development/Python

%description -n python-modules-thrift
Python libraries for Thrift.

%package php
Summary: Thrift PHP Software Library
Group: Development/Other

%description php
Thrift PHP Software Library

%package -n php5-thrift
Version: %php5_version
Release: %php5_release
Summary: Thrift PHP5 extension
Group: Development/Other

%description -n php5-thrift
Thrift PHP5 extension


%prep
%setup

%build
./bootstrap.sh
export BOOST_ROOT=/usr
%configure --without-java

%make_build

### php5-thrift
cd lib/php/src/ext/thrift_protocol
phpize

BUILD_HAVE=`echo %php5_extension | tr '[:lower:]-' '[:upper:]_'`
%add_optflags -fPIC -L%_libdir
export LDFLAGS=-lphp-%_php5_version
%configure \
	--with-%php5_extension=%_usr
%php5_make

%install
%make_install DESTDIR=%buildroot install
%__install -D -m 644 %SOURCE1 %buildroot/%php5_extconf/%php5_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php5_extconf/%php5_extension/params

mkdir -p %buildroot%_datadir/thrift-php
cp lib/php/src/*.php %buildroot%_datadir/thrift-php
cp -r lib/php/src/protocol %buildroot%_datadir/thrift-php
cp -r lib/php/src/transport %buildroot%_datadir/thrift-php
cd lib/php/src/ext/thrift_protocol
%php5_make_install

%files
%_bindir/thrift
%_datadir/thrift/if/reflection_limited.thrift

%files -n libthrift-cpp
%_libdir/libthrift*.so.*

%files -n libthrift-cpp-devel
%_includedir/thrift
%_libdir/libthrift*.so
%_libdir/pkgconfig/thrift*.pc


%files -n python-modules-thrift
%python_sitelibdir/Thrift-1.0-py2.5.egg-info
%python_sitelibdir/thrift

%files php
%doc lib/php/LICENSE lib/php/README lib/php/README.apache
%_datadir/thrift-php/*.php
%_datadir/thrift-php/protocol
%_datadir/thrift-php/transport

%files -n php5-thrift
%php5_extconf/%php5_extension
%php5_extdir/thrift_protocol.so

%changelog
* Thu Nov 13 2008 Denis Klimov <zver@altlinux.ru> 0.0.0-alt2.20081031git
- add php5-thrift package

* Fri Oct 31 2008 Denis Klimov <zver@altlinux.ru> 0.0.0-alt1.20081031git
- Initial build for ALT Linux

